Package org.firebirdsql.jaybird.xca

## Class FBTpb

- java.lang.Object
- - org.firebirdsql.jaybird.xca.FBTpb

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class FBTpb
      extends java.lang.Object
      implements java.io.Serializable

  The `FBTpb` class represents the Firebird Transaction Parameter Block (TPB), which contains Firebird-specific information about transaction isolation.
  Author:
    David Jencks
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBTpb​(TransactionParameterBuffer transactionParams)` | Create a new Transaction Parameters Block instance based around a `FBTpbMapper`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` |
    `TransactionParameterBuffer` | `getTransactionParameterBuffer()` |
    `int` | `hashCode()` |
    `boolean` | `isReadOnly()` | Determine whether this TPB is set to read-only.
    `void` | `setReadOnly​(boolean readOnly)` | Set the read-only flag on this TPB.
    `void` | `setTransactionParameterBuffer​(TransactionParameterBuffer tpb)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FBTpb

          public FBTpb​(TransactionParameterBuffer transactionParams)

      Create a new Transaction Parameters Block instance based around a `FBTpbMapper`.
      Parameters:
        `transactionParams` - instance of `TransactionParameterBuffer` representing transaction parameters.

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setReadOnly

          public void setReadOnly​(boolean readOnly)

      Set the read-only flag on this TPB.
      Parameters:
        `readOnly` - If `true`, this TPB will be set to read-only, otherwise it will be read-write

    - #### isReadOnly

          public boolean isReadOnly()

      Determine whether this TPB is set to read-only.
      Returns:
        `true` if this TPB is read-only, otherwise false

    - #### getTransactionParameterBuffer

          public TransactionParameterBuffer getTransactionParameterBuffer()

    - #### setTransactionParameterBuffer

          public void setTransactionParameterBuffer​(TransactionParameterBuffer tpb)